Subject: Re: bug#10061: Version missmatch error

From: "Gary V. Vaughan" <[email-masked]>
Date: Thu, 17 Nov 2011 08:20:47 +0700

hi Chethan,

On 16 Nov 2011, at 15:14, chethan krishnamurthy wrote:
> Greetings,
> Myself Chethan. I was configuring kannel-sqlbox.
> During installation of sqlbox i am facing errors 
> 
> libtool: Version mismatch error.  This is libtool 2.4.2, but the
> libtool: definition of this LT_INIT comes from libtool 2.2.6b.
> libtool: You should recreate aclocal.m4 with macros from libtool 2.4.2
> libtool: and run autoconf again.
> make[2]: *** [sqlbox] Error 63
> make[2]: Leaving directory `/home/peepal/sqlbox-0.7.2/gw'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/home/peepal/sqlbox-0.7.2'
> make: *** [all] Error 2
> 
> Kindly suggest how to resolve this conflict.
> Looking forward for your answer.
> Thank you.

This means that the libtool script in the build directory was built
from release 2.4.2, likely shipped with your sqlbox package, but that
the m4 macros it is finding are from an earlier incompatible release
2.2.6b - maybe the libtool you have installed on your build machine?

It's not clear from your message whether sqlbox-0.7.2 is trying to
use libtool-2.4.2 and picked up the wrong macros, or libtool-2.2.6b
and picked up the wrong ltmain.sh.

If the macros are wrong, you need to make sure that aclocal.m4 does not
m4_include 2.2.6b versions of the libtool macros (look for
m4_include([<something>/ltversion.m4]) even a full copy of the old
ltversion.m4 file inside aclocal.m4), and make sure that you build with
the correct versions, which normally involves rerunning aclocal in the
package root directory with the correct -I option, normally pointing to
the m4 directory containing the right versions of libtool.m4 and others.

If ltmain.sh is too new, you need to replace it with one from the
same version of libtool as the macros you are using... which normally
involves rerunning libtoolize from a correctly installed libtool.

In either case, make sure you don't have multiple versions of
libtool installed (e.g. one in /usr and another in /usr/local) and
that aclocal is able to find the correct macro files.

HTH,
-- 
Gary V. Vaughan (gary AT gnu DOT org)